# https://github.com/bufbuild/protocompile
%global goipath         github.com/bufbuild/protocompile

Version:        0.6.0

%gometa

%global common_description %{expand:
A parsing/linking engine for Protocol Buffers, written in pure Go.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:        1%{?dist}
Summary:        A parsing/linking engine for Protocol Buffers, written in pure Go

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/google/go-cmp/cmp)
BuildRequires:  golang(github.com/stretchr/testify)
BuildRequires:  golang(golang.org/x/sync/semaphore)
BuildRequires:  golang(google.golang.org/protobuf/types/descriptorpb)

%description
%{common_description}

%godevelpkg

%prep
%goprep
rm -rfv internal/{tools,benchmarks}

%install
%godevelinstall

%gopkgfiles

%changelog
